/*---------------------------------------------------------------------------
 * 2005 NORSYS
 * main author : nono
 *
 * This software is a computer program whose purpose is to provide abstraction
 * for accessing directory data sources within java applications.
 *
 * This software is governed by the CeCILL  license under French law and
 * abiding by the rules of distribution of free software.  You can  use, 
 * modify and/ or redistribute the software under the terms of the CeCILL
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info". 
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability. 
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or 
 * data to be ensured and,  more generally, to use and operate it in the 
 * same conditions as regards security. 
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL license and that you accept its terms.
 *
 * Created on Oct 19, 2005
 * --------------------------------------------------------------------------*/
package speculoos.jndi;

import java.util.Map;

import speculoos.core.Mapper;
import speculoos.core.MapperException;


/**
 * A mapper that adds a new node into an underlying source.
 * <p>
 * This mapper adds a new node into an underlying JNDI/LDAP data
 * source. The input map contains the attributes that will be set
 * in this new node, according to the mapping defined by the 
 * configuration.
 * </p> 
 * 
 * @author nono
 * @version $Id: AddMapper.java 259 2006-05-23 10:34:50Z /C=FR/ST=Nord/L=Lille/O=Norsys SA/OU=UE/CN=Arnaud Bailly/emailAddress=abailly@norsys.fr $
 */
public interface AddMapper extends Mapper {

    /**
     * Specific method for adding a new node.
     * The <code>input</code> map contains attributes that will be set
     * in the new node and variables that may be used in the query (such
     * as the DN).
     * 
     * @param map an object to add.
     * @param env the local environment to use for query customization.
     * @return the passed input object as-is.
     * @throws MapperException thrown if an input parameter does not 
     * match a validation rule.
     */
    Object add(Object map,Map env) throws MapperException;
}
