/**
 * 
 */
package speculoos.jndi.io;

/**
 * This client interface is implemented by users who wish
 * to use an ObjectIO instance.
 * 
 * @author abailly
 *
 */
public interface IOUser {

	/**
	 * Sets the type converter used for LDAP input/output.
	 * 
	 * @param io ObjectIO instance that is used by this client.
	 */
	void setConverter(ObjectIO oi);

	/**
	 * Returns the converter currently in used in this object.
	 * 
	 * @return an ObjectIO instance or null.
	 */
	ObjectIO getConverter();
	
}
