/*---------------------------------------------------------------------------
 * 2005 NORSYS
 * main author : nono
 *
 * This software is a computer program whose purpose is to provide abstraction
 * for accessing directory data sources within java applications.
 *
 * This software is governed by the CeCILL  license under French law and
 * abiding by the rules of distribution of free software.  You can  use, 
 * modify and/ or redistribute the software under the terms of the CeCILL
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info". 
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability. 
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or 
 * data to be ensured and,  more generally, to use and operate it in the 
 * same conditions as regards security. 
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL license and that you accept its terms.
 *
 * Created on Nov 16, 2005
 * --------------------------------------------------------------------------*/

package speculoos.jndi.pool;

/**
 * A class for collecting data on pool usage.
 * 
 * @author nono
 * @version $Id: PoolingStats.java 259 2006-05-23 10:34:50Z /C=FR/ST=Nord/L=Lille/O=Norsys SA/OU=UE/CN=Arnaud Bailly/emailAddress=abailly@norsys.fr $
 */
public final class PoolingStats {


	/*
	 * This is a measure of the number of times a thread has to 
	 * wait for acquiring a connection.
	 */
	volatile int contention;

	/*
	 * This the number of satisfied connection request 
	 */
	volatile int requests;
	
	/*
	 * This is the number of connection release
	 */
	volatile int releases;

	/**
	 * @return Returns the contention.
	 */
	public int getContention() {
		return contention;
	}

	/**
	 * @param contention The contention to set.
	 */
	public void setContention(int contention) {
		this.contention = contention;
	}

	/**
	 * @return Returns the releases.
	 */
	public int getReleases() {
		return releases;
	}

	/**
	 * @param releases The releases to set.
	 */
	public void setReleases(int releases) {
		this.releases = releases;
	}

	/**
	 * @return Returns the requests.
	 */
	public int getRequests() {
		return requests;
	}

	/**
	 * @param requests The requests to set.
	 */
	public void setRequests(int requests) {
		this.requests = requests;
	} 

}
